%global mod_name nltk

Summary:        Natural Language Toolkit
Name:           python-nltk
Version:        3.8.1
Release:        2%{?dist}
License:        ASL 2.0 and GPLv2+ with exceptions
URL:            http://www.nltk.org/
Source0:        https://github.com/nltk/nltk/archive/%{version}.tar.gz#/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
 
%description 
Natural Language Toolkit (NLTK for short) is a Python package that simplifies the construction 
of programs that process natural language; and defines standard interfaces between the different 
components of an NLP system.  It was designed primarily to help teach graduate and undergraduate 
students about computational linguistics; but it is also useful as a framework for implementing 
research projects.

%package -n python3-%{mod_name}
Summary:        Natural Language Toolkit (Python 3)
BuildRequires:  python3-devel >= 2.5 python3-setuptools
Requires:       python3-PyYAML >= 3.09
Requires:       python3-numpy python3-matplotlib python3-tkinter
 
%description -n python3-%{mod_name}
Natural Language Toolkit (NLTK for short) is a Python package that simplifies the construction 
of programs that process natural language; and defines standard interfaces between the different 
components of an NLP system.  It was designed primarily to help teach graduate and undergraduate 
students about computational linguistics; but it is also useful as a framework for implementing 
research projects.
 
This package provides the Python 3 build of NLTK.
 
%prep
%autosetup -n %{mod_name}-%{version}
 
for f in $(grep -Frl '/usr/bin/env' %{mod_name}); do
  sed -i -e "s|^#!/usr/bin/env python$|#!%{__python3}|g" $f
done
 
%build
%py3_build
 
%install
%py3_install
 
%check
# skip tests because it requires nltk-data and some utilities that are not available
#%%{__python3} %%{mod_name}/test/runtests.py
 
 
%files -n python3-%{mod_name}
%license LICENSE.txt
%doc AUTHORS.md CONTRIBUTING.md ChangeLog README.md
%{_bindir}/%{mod_name}
%{python3_sitelib}/%{mod_name}/
%{python3_sitelib}/%{mod_name}-*.egg-info/
 
 
%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 3.8.1-1
- initial build
